const widgets = require("widget");
const tabs = require("tabs");
const notifications = require("notifications");
const contextMenu = require("context-menu");
const request = require("request");
const selection = require("selection");
const panels = require("panel");
const g = require("general");
const selfdata = require("self").data;
var data = require("self").data;
Log = g.Log;
getDomain = g.getDomain;

function copyright()
{
	notifications.notify({
		title: "copyright",
		text: "Created by Increazon",
		data: "no data"
	});
}
function getWindowWH()
{
	var winW = 630, winH = 460;
	if (document.body && document.body.offsetWidth) {
		winW = document.body.offsetWidth;
		winH = document.body.offsetHeight;
	}
	if (document.compatMode=='CSS1Compat' &&
		document.documentElement &&
		document.documentElement.offsetWidth ) {
		winW = document.documentElement.offsetWidth;
		winH = document.documentElement.offsetHeight;
	}
	if (window.innerWidth && window.innerHeight) {
		winW = window.innerWidth;
		winH = window.innerHeight;
	}
	return winW;
}

exports.main = function(options, callbacks)
{
	// new generation service
	var popupPanel = panels.Panel({
		width: 230,
		height: 142,
		contentURL: data.url("popupPanel.html"),
		contentScriptFile: [data.url('jquery-1.7.min.js'), data.url("popupPanel.js")]
	});
	popupPanel.port.on("iy", function() {
		var currentURL = tabs.activeTab.url;
		var spl = currentURL.split('#');
		var qnv = encodeURIComponent(spl[0]);
		var winW = 1000;
		var panel = panels.Panel({
			contentURL: 'http://yandex.ru/yandsearch?text=url:'+qnv+'&lr=0',
			width: winW,
			height: 350
		});
		panel.show();
	});
	popupPanel.port.on("ig", function() {
		var currentURL = tabs.activeTab.url;
		var spl = currentURL.split('#');
		var qnv = encodeURIComponent(spl[0]);
		var winW = 1000;
		var panel = panels.Panel({
			contentURL: 'http://www.google.ru/search?hl=ru&source=hp&q=info:'+qnv+'&btnG=Google',
			width: winW,
			height: 350
		});
		panel.show();
	});
	popupPanel.port.on("py", function() {
		var currentURL = tabs.activeTab.url;
		var spl = currentURL.split('#');
//		var qnv = encodeURIComponent(spl[0]); http://azart-cash.ru/usr/strategiya_ruletki#rulserv
		var domain = getDomain(spl[0]);
		var winW = 1000;
		var panel = panels.Panel({
			contentURL: 'http://yandex.ru/yandsearch?text=&site='+domain+'&lr=964',
			width: winW,
			height: 350
		});
		panel.show();
	});
	popupPanel.port.on("pg", function() {
		var currentURL = tabs.activeTab.url;
		var spl = currentURL.split('#');
//		var qnv = encodeURIComponent(spl[0]);
		var domain = getDomain(spl[0]);
		var winW = 1000;
		var panel = panels.Panel({
			contentURL: 'http://www.google.ru/search?hl=ru&source=hp&q=site:'+domain+'&btnG=Google',
			width: winW,
			height: 350
		});
		panel.show();
	});
	var wW = widgets.Widget({
		id: "wW",
		label: "GY index",
		contentURL: data.url("abbon-dutton.html"),
		width: 100,
		panel: popupPanel
	});
	  

}

